using System;
using System.Collections.Generic;


namespace ActionGame.GameResources.Models
{
    public class WorldMap
    {
        public Int32 Key { get; set; }
        public String Name { get; set; }
        public IDictionary<Int32, IDictionary<Int32, WorldMapCell>> Cells { get; }
        public Boolean ShowMiniMap { get; set; }


        public WorldMap()
        {
            this.Cells = new Dictionary<Int32, IDictionary<Int32, WorldMapCell>>();
        }


        public void AddCell(WorldMapCell cell)
        {
            if (this.Cells.ContainsKey(cell.WorldMapX) == false) this.Cells.Add(cell.WorldMapX, new Dictionary<Int32, WorldMapCell>());

            this.Cells[cell.WorldMapX].Add(cell.WorldMapY, cell);
        }

    }
}
